Bug 462074 - Review Request: gnome-applet-jalali-calendar - Jalali calendar panel applet for GNOME
Review Request: gnome-applet-jalali-calendar - Jalali calendar panel applet f...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On: 463054
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-12 09:03 EDT by Hedayat Vatankhah
Modified: 2008-09-24 20:04 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-22 13:32:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
huzaifas: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Hedayat Vatankhah 2008-09-12 09:03:40 EDT
Spec URL: http://www.assembla.com/spaces/hedayat/documents/d6qbOiGmOr3yBbab7jnrAJ/download/gnome-applet-jalali-calendar.spec
SRPM URL: http://www.assembla.com/spaces/hedayat/documents/aE1jJ4GmSr3yBbab7jnrAJ/download/gnome-applet-jalali-calendar-1.6.5-1.fc9.src.rpm
Description: 
Jalali calendar applet for the GNOME desktop.
Features:
1. Displays holidays
2. Displays day names
3. Calendar event management (Adding birthdays, etc)
Comment 1 Mamoru TASAKA 2008-09-19 14:28:23 EDT
Well, for 1.6.5-1:

* %{_libdir} in noarch package
--------------------------------------------
.src:40: W: libdir-macro-in-noarch-package %{_libdir}/bonobo/servers/*
--------------------------------------------
   - The explanation of this is shown by
     $ rpmlint -I libdir-macro-in-noarch-package . Generally
     this warning means that

     * If you rebuild this on i386, some files are installed under
       /usr/lib
     * On x86_64, they are put under /usr/lib64
     * However as this package is marked as _noarch_, the result
       binary rpm should be the same regardless of the architecture used
       when rebuilding

     So for noarch packages macros like %_libdir or %_lib should not
     be used. For the case of this package AFAIK even on 64 arch
     bonobo server picks up server files under %_prefix/lib (see:
     https://bugzilla.redhat.com/show_bug.cgi?id=426149#c3 )

* python related dependency
  - Please examine python module related dependencies for this package
    and add them as Requires.
    ! Example:
      /usr/share/jalali-calendar/jcalendar.py contains the line:
---------------------------------------------
    25  import pygtk
    26  pygtk.require('2.0')
---------------------------------------------
      This means that this package should have "Requires: pygtk2".

    Note that such python related dependencies are not detected
    automatically by rpmbuild. To find out these dependencies, I usually
    try like below:
---------------------------------------------
$ grep -h 'import ' /usr/share/jalali-calendar/*py | sort | uniq
from gtk import gdk
from string import strip, lower
from xml.dom.minidom import getDOMImplementation, parse
from xml.parsers.expat import ExpatError
import birthdaydialog
import cairo
.......
-----------------------------------------------
Comment 2 Mamoru TASAKA 2008-09-19 14:32:49 EDT
One more issue
* python bytecompiling (BR: python)
  - If python is installed when rebuilding, all python files in this packages are
    bytecompile'd and some .py{c,o} files are also packaged (this is normal)
    However with koji build python is not installed by default so bytecompiling
    cannot be done.

    Please add "BuildRequires: python" (for python bytecompiling)
Comment 3 Hedayat Vatankhah 2008-09-20 14:56:54 EDT
Sorry for the ugly package. I'll fix it ASAP.
Comment 4 Hedayat Vatankhah 2008-09-21 03:15:52 EDT
A question about %{_libdir}. If I use %{_prefix}/lib/bonobo/servers then this directory will not be owned by any packages which is undesirable as I know. Should I make this package architecture dependent?!
Comment 5 Mamoru TASAKA 2008-09-21 05:42:24 EDT
(In reply to comment #4)
> A question about %{_libdir}. If I use %{_prefix}/lib/bonobo/servers then this
> directory will not be owned by any packages which is undesirable as I know.

Good catch, this directory should be owned by libbonobo.x86_64, filed as bug.
So for now please assume that this directory is (should be) owned by libbonobo.
Comment 7 Mamoru TASAKA 2008-09-21 10:32:14 EDT
For -2:

* Python Requires
  - On F-10+, gnome-python2 is split into several package and
    so "Requires: gnome-python2" should be "Requires: gnome-python2-gnome"
    (See the discussion on:
     https://www.redhat.com/archives/fedora-devel-list/2008-July/thread.html#01779
     also:
     https://bugzilla.redhat.com/show_bug.cgi?id=456122 )
    Note that gnome-python2-gnome exists only on F-10+

    ! You can use
----------------------------------------------------
%if 0%{?fedora} >= 10
Requires: gnome-python2-gnome
%else
Requires: gnome-python2
%endif
-----------------------------------------------------

   - Generally speaking, I don't like to write redundant dependencies
     * pycairo, pygobject2 is Require'd by pygtk2 (ref bug 460105)
     * And pygtk2 is Require'd by pygtk2-libglade
     ! Note: gnome-python2-gconf Requires gnome-python2, but not
             gnome-python2-gnome, so on F-10+ "Requires: gnome-python2-gnome"
             is explicitly needed.

--------------------------------------------------------------------------
   This package (gnome-applet-jalali-calendar) is APPROVED by mtasaka
--------------------------------------------------------------------------
Comment 8 Hedayat Vatankhah 2008-09-21 12:46:34 EDT
Thanks, I'll fix these.

New Package CVS Request
=======================
Package Name: gnome-applet-jalali-calendar
Short Description: Jalali calendar panel applet for GNOME
Owners: hedayat
Branches: F-8 F-9
Cvsextras Commits: yes
Comment 9 Huzaifa S. Sidhpurwala 2008-09-22 05:29:36 EDT
cvs done
Comment 10 Fedora Update System 2008-09-22 12:29:29 EDT
gnome-applet-jalali-calendar-1.6.5-3.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/gnome-applet-jalali-calendar-1.6.5-3.fc9
Comment 11 Fedora Update System 2008-09-22 12:29:32 EDT
gnome-applet-jalali-calendar-1.6.5-3.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/gnome-applet-jalali-calendar-1.6.5-3.fc8
Comment 12 Mamoru TASAKA 2008-09-22 13:32:28 EDT
Now closing.
Comment 13 Fedora Update System 2008-09-24 20:02:32 EDT
gnome-applet-jalali-calendar-1.6.5-3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2008-09-24 20:04:43 EDT
gnome-applet-jalali-calendar-1.6.5-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.